Skip to main content
Update entity metadata

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard. The LithoBlocks MCP server also presents a Supabase-issued user session token here on the user's behalf; such a token acts as that user with the scopes their organization role allows.

Path Parameters

id
string
required

Body

application/json

Entity update data

name
string
Required string length: 1 - 255
description
string
Maximum string length: 1000

Response

Updated entity

id
string
required
name
string
required
description
string | null
required
organization_id
string
required
created_at
string
required
updated_at
string
required